org.eclipse.viatra.transformation.runtime.emf.changemonitor

## Class QueryResultChangeDelta

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.changemonitor.QueryResultChangeDelta

-     public class QueryResultChangeDelta
      extends java.lang.Object

  This delta class stores differences for a single query specification instance.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResultChangeDelta(IQuerySpecification<?> specification)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<IPatternMatch>` | `getAppeared()` Returns the matches that are added to this delta
    `java.util.Set<IPatternMatch>` | `getDisappeared()` Returns the matches that have disappeared in this delta
    `IQuerySpecification<?>` | `getSpecification()`
    `java.util.Set<IPatternMatch>` | `getUpdated()` Returns the matches that were updated in this delta
    `boolean` | `hasChanges()` Returns whether this delta contains changes of any kind
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResultChangeDelta

          public QueryResultChangeDelta(IQuerySpecification<?> specification)

  - ### Method Detail

    - #### getSpecification

          public IQuerySpecification<?> getSpecification()

    - #### getAppeared

          public java.util.Set<IPatternMatch> getAppeared()

      Returns the matches that are added to this delta

    - #### getUpdated

          public java.util.Set<IPatternMatch> getUpdated()

      Returns the matches that were updated in this delta

    - #### getDisappeared

          public java.util.Set<IPatternMatch> getDisappeared()

      Returns the matches that have disappeared in this delta

    - #### hasChanges

          public boolean hasChanges()

      Returns whether this delta contains changes of any kind

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`